osgViewer::Renderer::ThreadSafeQueue Struct Reference

`#include <Renderer>`

## Public Types

typedef std::list< osgUtil::SceneView * > | SceneViewList

## Public Member Functions

| ThreadSafeQueue ()
| ~ThreadSafeQueue ()
void | release ()
void | reset ()
osgUtil::SceneView * | takeFront ()
void | add (osgUtil::SceneView *sv)

## Public Attributes

OpenThreads::Mutex | _mutex
OpenThreads::Condition | _cond
SceneViewList | _queue
bool | _isReleased

## Member Typedef Documentation

## SceneViewList

typedef std::list<osgUtil::SceneView*> osgViewer::Renderer::ThreadSafeQueue::SceneViewList

## Constructor & Destructor Documentation

## ThreadSafeQueue()

osgViewer::Renderer::ThreadSafeQueue::ThreadSafeQueue | ( |  | ) |

## ~ThreadSafeQueue()

osgViewer::Renderer::ThreadSafeQueue::~ThreadSafeQueue | ( |  | ) |

## Member Function Documentation

## add()

void osgViewer::Renderer::ThreadSafeQueue::add | ( | osgUtil::SceneView * | sv | ) |

Add a SceneView object to the back of the queue.

## release()

void osgViewer::Renderer::ThreadSafeQueue::release | ( |  | ) |

Release any thread waiting on the queue, even if the queue is empty.

## reset()

void osgViewer::Renderer::ThreadSafeQueue::reset | ( |  | ) |

Reset to fefault state (_isReleased = false)

## takeFront()

osgUtil::SceneView * osgViewer::Renderer::ThreadSafeQueue::takeFront | ( |  | ) |

Take a SceneView from the queue. Can return 0 if release() is called when the queue is empty.

## Member Data Documentation

## _cond

OpenThreads::Condition osgViewer::Renderer::ThreadSafeQueue::_cond

## _isReleased

bool osgViewer::Renderer::ThreadSafeQueue::_isReleased

## _mutex

OpenThreads::Mutex osgViewer::Renderer::ThreadSafeQueue::_mutex

## _queue

SceneViewList osgViewer::Renderer::ThreadSafeQueue::_queue

The documentation for this struct was generated from the following file:

- Renderer